Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

search

Prev Next

Available in Classic and VPC

Note

The Search Trend service is scheduled to be discontinued in July 2026, so please use the NAVER API HUB, which was newly released in June 2026. For more information, see NAVER API HUB.

Provide statistics of NAVER Unified Search's trend data by period for a group of topic keywords, analyzed by age, gender, and search environment in JSON format.

Note

It is identical to the Search keyword trend search results in NAVER DataLab.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /search

Request headers

For information about the headers common to all Search Trend APIs, see Search Trend request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
startDate String Required Data query start date
  • yyyy-MM-dd format
  • Retrievable from January 1, 2016
endDate String Required Data query end date
  • yyyy-MM-dd format
timeUnit String Required Data query section unit
  • date | week | month
    • date: Get daily data.
    • week: Get weekly data.
    • month: Get monthly data.
keywordGroups Array[String] Required
  • Topic keyword, search keyword group information: keywordGroups
  • Support for up to 5 groups simultaneously
device String Optional Search device environment filter
  • pc | mo
    • pc: PC environment
    • mo: Mobile environment
ages Array[String] Optional Age filter
  • 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11
    • 1: 0-12
    • 2: 13-18
    • 3: 19-24
    • 4: 25-29
    • 5: 30-34
    • 6: 35-39
    • 7: 40-44
    • 8: 45-49
    • 9: 50-54
    • 10: 55-59
    • 11: 60 or older
gender String Optional Gender filter
  • m | f
    • m: Male
    • f: Female

keywordGroups

The following describes keywordGroups.

Field Type Required Description
groupName String Required Group name (topic keyword)
  • Consolidate data into groups by grouping search keywords together to query data for
keywords String Required Search keyword list for a group
  • Support for up to 20 search keywords per data group

Request example

The request example is as follows:

curl --location --request POST 'https://naveropenapi.apigw.ntruss.com/datalab/v1/search' \
--header 'x-ncp-apigw-api-key-id: {Client ID issued when registering the app}' \
--header 'x-ncp-apigw-api-key: {Client secret issued when registering the app}' \
--header 'Content-Type: application/json' \
--data '{
    "startDate": "2024-08-15",
    "endDate": "2024-08-19",
    "timeUnit": "date",
    "keywordGroups": [
        {
            "groupName": "Maratang",
            "keywords": [
                "Maratang",
                "Guo bao rou",
                "Egg fried rice"
            ]
        }
    ],    
    "device": "mo",
    "ages": [
        "4",
        "5"
    ],
    "gender": "f"
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
startDate String - Data query start date
  • yyyy-MM-dd format
  • Retrievable from January 1, 2016
endDate String - Data query end date
  • yyyy-MM-dd format
timeUnit String - Data query section unit
  • date | week | month
    • date: Get daily data.
    • week: Get weekly data.
    • month: Get monthly data.
results Array - Group information: results

results

The following describes results.

Field Type Required Description
title String - Group name (topic keyword)
keywords String - Group search keyword list
data Array - Information by section: data

data

The following describes data.

Field Type Required Description
period String - Start date by data query section
  • yyyy-MM-dd format
ratio Integer - Search/click ratio by data query section
  • Set the largest of the resulting values to 100

Response status codes

For information about the HTTP status codes common to all Search Trend APIs, see Search Trend response status codes.

Response example

The response example is as follows:

{
    "startDate": "2024-08-15",
    "endDate": "2024-08-19",
    "timeUnit": "date",
    "results": [
        {
            "title": "Maratang",
            "keywords": [
                "Maratang",
                "Guo bao rou",
                "Egg fried rice"
            ],
            "data": [
                {
                    "period": "2024-08-15",
                    "ratio": 100
                },
                {
                    "period": "2024-08-16",
                    "ratio": 84.81543
                },
                {
                    "period": "2024-08-17",
                    "ratio": 88.33892
                },
                {
                    "period": "2024-08-18",
                    "ratio": 97.31543
                }
            ]
        }
    ]
}